View Issue Details

IDProjectCategoryView StatusLast Update
0023626mantisbtperformancepublic2017-11-13 07:24
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version2.9.0Fixed in Version2.9.0 
Summary0023626: Unneeded code executed when retrieving global settings
Description

There is no need to call config_get for all options that are contained in $g_global_settings
Using config_get_global instead of config_get avoids unneeded calls of config_can_set_in_database.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 16aa170f

2017-11-01 12:55:21

atrol

Details Diff
Use config_get_global for cookie_time_length

Issue 0023626
mod - core/gpc_api.php Diff File
mod - search.php Diff File
mod - view_all_set.php Diff File

MantisBT: master 5c86cd8c

2017-11-01 12:58:51

atrol

Details Diff
Use config_get_global for cookie_path

Issue 0023626
mod - core/authentication_api.php Diff File
mod - core/gpc_api.php Diff File
mod - core/session_api.php Diff File
mod - search.php Diff File
mod - view_all_set.php Diff File

MantisBT: master 9479f57e

2017-11-01 13:00:53

atrol

Details Diff
Use config_get_global for cookie_domain

Issue 0023626
mod - core/gpc_api.php Diff File
mod - core/session_api.php Diff File

MantisBT: master 496ba8d3

2017-11-01 13:03:10

atrol

Details Diff
Use config_get_global for string_cookie

Issue 0023626
mod - core/authentication_api.php Diff File

MantisBT: master 1d42e4ca

2017-11-01 13:05:47

atrol

Details Diff
Use config_get_global for project_cookie

Issue 0023626
mod - core/helper_api.php Diff File

MantisBT: master 1d79464c

2017-11-01 13:09:01

atrol

Details Diff
Use config_get_global for view_all_cookie

Issue 0023626
mod - core/filter_api.php Diff File
mod - print_all_bug_page.php Diff File
mod - query_store.php Diff File
mod - query_store_page.php Diff File
mod - search.php Diff File
mod - view_all_set.php Diff File

MantisBT: master ec29beb7

2017-11-01 13:10:23

atrol

Details Diff
Use config_get_global for manage_config_cookie

Issue 0023626
mod - adm_config_report.php Diff File
mod - core/helper_api.php Diff File

MantisBT: master e3f7c2e6

2017-11-01 13:13:14

atrol

Details Diff
Use config_get_global for logout_cookie

Issue 0023626
mod - core/authentication_api.php Diff File

MantisBT: master b3f1b49e

2017-11-01 13:15:01

atrol

Details Diff
Use config_get_global for bug_list_cookie

Issue 0023626
mod - bug_view_inc.php Diff File
mod - view_all_bug_page.php Diff File

MantisBT: master 8a78f131

2017-11-01 13:20:06

atrol

Details Diff
Use config_get_global for database_name

Issue 0023626
mod - admin/install.php Diff File

MantisBT: master 065ba5e8

2017-11-01 13:22:38

atrol

Details Diff
Use config_get_global for db_username

Issue 0023626
mod - admin/install.php Diff File

MantisBT: master 08f3c151

2017-11-01 15:24:53

atrol

Details Diff
Use config_get_global for db_password

Issue 0023626
mod - admin/install.php Diff File

MantisBT: master bdcc5128

2017-11-01 15:28:48

atrol

Details Diff
Use config_get_global for db_type

Issue 0023626
mod - admin/install.php Diff File
mod - manage_overview_page.php Diff File

MantisBT: master 11526938

2017-11-01 15:35:32

atrol

Details Diff
Use config_get_global for hostname

Issue 0023626
mod - admin/install.php Diff File

MantisBT: master d35d8016

2017-11-01 15:37:34

atrol

Details Diff
Use config_get_global for html_valid_tags

Issue 0023626
mod - core/string_api.php Diff File

MantisBT: master 673b4834

2017-11-01 15:40:15

atrol

Details Diff
Use config_get_local for default_language

Issue 0023626
mod - core/email_api.php Diff File
mod - core/lang_api.php Diff File
mod - manage_user_create.php Diff File

MantisBT: master f5618b17

2017-11-01 15:41:36

atrol

Details Diff
Use config_get_global for language_auto_map

Issue 0023626
mod - core/lang_api.php Diff File

MantisBT: master d3eb7642

2017-11-01 15:43:19

atrol

Details Diff
Use config_get_global for fallback_language

Issue 0023626
mod - api/soap/mc_api.php Diff File
mod - core/email_api.php Diff File
mod - core/lang_api.php Diff File

MantisBT: master 3fe27b85

2017-11-01 15:48:28

atrol

Details Diff
Use config_get_global for login_method

Issue 0023626
mod - account_page.php Diff File
mod - account_update.php Diff File
mod - core/authentication_api.php Diff File
mod - core/custom_function_api.php Diff File
mod - core/user_api.php Diff File
mod - login.php Diff File
mod - manage_user_create_page.php Diff File
mod - manage_user_edit_page.php Diff File
mod - manage_user_update.php Diff File

MantisBT: master a8427f1b

2017-11-01 15:57:25

atrol

Details Diff
Use config_get_global for show_detailed_errors

Issue 0023626
mod - login_page.php Diff File

MantisBT: master ed25e694

2017-11-01 15:59:12

atrol

Details Diff
Use config_get_global for show_queries_count

Issue 0023626
mod - core/helper_api.php Diff File
mod - core/layout_api.php Diff File

MantisBT: master edbdeb81

2017-11-01 16:02:16

atrol

Details Diff
Use config_get_global for fileinfo_magic_db_file

Issue 0023626
mod - core/file_api.php Diff File
mod - core/utility_api.php Diff File

MantisBT: master ccaf434e

2017-11-01 16:03:39

atrol

Details Diff
Use config_get_global for css_include_file

Issue 0023626
mod - core/html_api.php Diff File

MantisBT: master f213c2a3

2017-11-01 16:04:34

atrol

Details Diff
Use config_get_global for css_rtl_include_file

Issue 0023626
mod - core/html_api.php Diff File

MantisBT: master b109e2fd

2017-11-01 16:09:28

atrol

Details Diff
Use config_get_global for file_type_icons

Issue 0023626
mod - core/file_api.php Diff File

MantisBT: master cfd34525

2017-11-01 16:13:52

atrol

Details Diff
Use config_get_global for path

Issue 0023626
mod - api/soap/mantisconnect.php Diff File
mod - api/soap/mc_api.php Diff File
mod - core/filter_api.php Diff File
mod - core/html_api.php Diff File
mod - core/print_api.php Diff File
mod - core/rss_api.php Diff File
mod - core/string_api.php Diff File
mod - issues_rss.php Diff File
mod - manage_user_update.php Diff File
mod - news_rss.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_page.php Diff File
mod - plugins/XmlImportExport/pages/export.php Diff File
mod - set_project.php Diff File

MantisBT: master ebd267f3

2017-11-01 16:17:16

atrol

Details Diff
Use config_get_global for short_path

Issue 0023626
mod - core/layout_api.php Diff File
mod - core/string_api.php Diff File

MantisBT: master 7bb41351

2017-11-01 16:21:37

atrol

Details Diff
Use config_get_global for absolute_path

Issue 0023626
mod - admin/index.php Diff File
mod - manage_overview_page.php Diff File

MantisBT: master 2dba1583

2017-11-01 16:23:24

atrol

Details Diff
Use config_get_global for core_path

Issue 0023626
mod - admin/index.php Diff File
mod - manage_overview_page.php Diff File

MantisBT: master ab10114d

2017-11-01 16:50:05

atrol

Details Diff
Use config_get_global for language_path

Issue 0023626
mod - core/lang_api.php Diff File

MantisBT: master 85a88e81

2017-11-01 16:59:52

atrol

Details Diff
Use config_get_global for absolute_path_default_upload_folder

Issue 0023626
mod - admin/move_attachments.php Diff File
mod - admin/move_attachments_page.php Diff File
mod - api/soap/mc_file_api.php Diff File
mod - core/file_api.php Diff File
mod - core/project_api.php Diff File
mod - manage_proj_create_page.php Diff File
mod - manage_proj_edit_page.php Diff File

MantisBT: master 601c0054

2017-11-01 17:01:42

atrol

Details Diff
Use config_get_global for ldap_simulation_file_path

Issue 0023626
mod - core/ldap_api.php Diff File

MantisBT: master 4db88e9e

2017-11-01 17:04:35

atrol

Details Diff
Use config_get_global for plugin_path

Issue 0023626
mod - admin/index.php Diff File
mod - admin/test_langs.php Diff File
mod - core/lang_api.php Diff File
mod - core/plugin_api.php Diff File
mod - manage_overview_page.php Diff File
mod - plugin.php Diff File
mod - plugin_file.php Diff File
mod - plugins/XmlImportExport/pages/import_action.php Diff File

MantisBT: master bc0fb1ec

2017-11-01 17:07:20

atrol

Details Diff
Use config_get_global for top_include_page

Issue 0023626
mod - core/html_api.php Diff File

MantisBT: master c5614ea7

2017-11-01 17:12:30

atrol

Details Diff
Use config_get_global for default_home_page

Issue 0023626
mod - core/access_api.php Diff File
mod - index.php Diff File
mod - login.php Diff File
mod - login_page.php Diff File
mod - login_password_page.php Diff File
mod - manage_user_impersonate.php Diff File
mod - set_project.php Diff File
mod - tests/test_config_get_set.php Diff File

MantisBT: master 46034e54

2017-11-01 17:15:35

atrol

Details Diff
Use config_get_global for logout_redirect_page

Issue 0023626
mod - account_delete.php Diff File
mod - core/classes/AuthFlags.class.php Diff File

MantisBT: master 416e177c

2017-11-01 17:16:25

atrol

Details Diff
Use config_get_global for manual_url

Issue 0023626
mod - core/html_api.php Diff File

MantisBT: master 69bfa7bb

2017-11-01 17:17:44

atrol

Details Diff
Use config_get_global for logo_url

Issue 0023626
mod - core/html_api.php Diff File
mod - core/layout_api.php Diff File

Issue History

Date Modified Username Field Change
2017-11-12 09:36 atrol New Issue
2017-11-12 09:36 atrol Status new => assigned
2017-11-12 09:36 atrol Assigned To => atrol
2017-11-12 09:44 atrol Note Added: 0058181
2017-11-13 05:26 atrol Changeset attached => MantisBT master 16aa170f
2017-11-13 05:26 atrol Changeset attached => MantisBT master 5c86cd8c
2017-11-13 05:26 atrol Changeset attached => MantisBT master 9479f57e
2017-11-13 05:26 atrol Changeset attached => MantisBT master 496ba8d3
2017-11-13 05:26 atrol Changeset attached => MantisBT master 1d42e4ca
2017-11-13 05:26 atrol Changeset attached => MantisBT master 1d79464c
2017-11-13 05:26 atrol Changeset attached => MantisBT master ec29beb7
2017-11-13 05:26 atrol Changeset attached => MantisBT master e3f7c2e6
2017-11-13 05:26 atrol Changeset attached => MantisBT master b3f1b49e
2017-11-13 05:26 atrol Changeset attached => MantisBT master 8a78f131
2017-11-13 05:26 atrol Changeset attached => MantisBT master 065ba5e8
2017-11-13 05:26 atrol Changeset attached => MantisBT master 08f3c151
2017-11-13 05:26 atrol Changeset attached => MantisBT master bdcc5128
2017-11-13 05:26 atrol Changeset attached => MantisBT master 11526938
2017-11-13 05:26 atrol Changeset attached => MantisBT master d35d8016
2017-11-13 05:26 atrol Changeset attached => MantisBT master 673b4834
2017-11-13 05:26 atrol Changeset attached => MantisBT master f5618b17
2017-11-13 05:26 atrol Changeset attached => MantisBT master d3eb7642
2017-11-13 05:26 atrol Changeset attached => MantisBT master 3fe27b85
2017-11-13 05:26 atrol Changeset attached => MantisBT master a8427f1b
2017-11-13 05:26 atrol Changeset attached => MantisBT master ed25e694
2017-11-13 05:26 atrol Changeset attached => MantisBT master edbdeb81
2017-11-13 05:26 atrol Changeset attached => MantisBT master ccaf434e
2017-11-13 05:26 atrol Changeset attached => MantisBT master f213c2a3
2017-11-13 05:26 atrol Changeset attached => MantisBT master b109e2fd
2017-11-13 05:26 atrol Changeset attached => MantisBT master cfd34525
2017-11-13 05:26 atrol Changeset attached => MantisBT master ebd267f3
2017-11-13 05:26 atrol Changeset attached => MantisBT master 7bb41351
2017-11-13 05:26 atrol Changeset attached => MantisBT master 2dba1583
2017-11-13 05:26 atrol Changeset attached => MantisBT master ab10114d
2017-11-13 05:26 atrol Changeset attached => MantisBT master 85a88e81
2017-11-13 05:26 atrol Changeset attached => MantisBT master 601c0054
2017-11-13 05:26 atrol Changeset attached => MantisBT master 4db88e9e
2017-11-13 05:26 atrol Changeset attached => MantisBT master bc0fb1ec
2017-11-13 05:26 atrol Changeset attached => MantisBT master c5614ea7
2017-11-13 05:26 atrol Changeset attached => MantisBT master 46034e54
2017-11-13 05:26 atrol Changeset attached => MantisBT master 416e177c
2017-11-13 05:26 atrol Changeset attached => MantisBT master 69bfa7bb
2017-11-13 07:24 atrol Status assigned => resolved
2017-11-13 07:24 atrol Resolution open => fixed
2017-11-13 07:24 atrol Fixed in Version => 2.9.0